### Encoding: latin1

### Name: SVAR
### Title: Estimation of a SVAR
### Aliases: SVAR print.svarest
### Keywords: regression

### ** Examples

data(Canada)
var.2c <- VAR(Canada, p = 2, type = "const")
## Estimation method scoring
Ra <- matrix(0, nrow = 16, ncol = 5)
Ra[1, 1] <- 1
Ra[4, 2] <- 1
Ra[6, 3] <- 1
Ra[11, 4] <- 1
Ra[16, 5] <- 1
ra <- rep(0, 16)
SVAR(x = var.2c, estmethod = "scoring", Ra = Ra, Rb = NULL, ra = ra, rb
= NULL, lrtest = TRUE, start = abs(rnorm(5)), max.iter = 100, maxls =
1000, conv.crit = 1.0e-8) 
## Estimation Method logLik
amat <- diag(4)
diag(amat) <- NA
amat[2, 1] <- NA
amat[4, 1] <- NA
SVAR(var.2c, estmethod = "logLik", Amat = amat, Bmat = NULL,
hessian = TRUE, method="BFGS") 



